%define modname ruis
Name:           python-%{modname}
Version:        0.1.3
Release:        2.2
Summary:        Distributed Programming Library
URL:            http://www.cs.tut.fi/~ask/ruis/
License:        LGPL
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
%{py_requires}
BuildRequires:  python-aspects python-devel
Requires:       python-aspects

%description
Ruis is a modular distributed programming framework based on symmetrically
connected, hierarchical (file-system-like) namespaces. The base system with the
Ruis protocol provides transparent remote method invocation, synchronisation
and callbacks. Various extensions found in ruis_modules enable code migration
and programming web interfaces, for instance.

Authors:
--------
    Antti Kervinen <antti.kervinen@gmail.com>

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc examples

%changelog

* Tue Dec 02 2008 - James Oakley <jfunk@funktronics.ca> - 0.1.3-1
- Initial release
